Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Classes | Functions
testing::gtest_printers_test Namespace Reference

## Classes
class | AllowsGenericStreaming
class | AllowsGenericStreamingAndImplicitConversionTemplate
class | AllowsGenericStreamingTemplate
struct | Big
struct | const_iterator
struct | Foo
struct | iterator

## Functions
template<typename T >
string | Print (const T &value)
template<typename T >
string | PrintByRef (const T &value)
| TEST (PrintEnumTest, AnonymousEnum)
| TEST (PrintEnumTest, EnumWithoutPrinter)
| TEST (PrintEnumTest, EnumWithStreaming)
| TEST (PrintEnumTest, EnumWithPrintTo)
| TEST (PrintClassTest, BiggestIntConvertible)
| TEST (PrintCharTest, PlainChar)
| TEST (PrintCharTest, SignedChar)
| TEST (PrintCharTest, UnsignedChar)
| TEST (PrintBuiltInTypeTest, Bool)
| TEST (PrintBuiltInTypeTest, Wchar_t)
| TEST (PrintTypeSizeTest, Wchar_t)
| TEST (PrintBuiltInTypeTest, Integer)
| TEST (PrintBuiltInTypeTest, Size_t)
| TEST (PrintBuiltInTypeTest, FloatingPoints)
| TEST (PrintCStringTest, Const)
| TEST (PrintCStringTest, NonConst)
| TEST (PrintCStringTest, Null)
| TEST (PrintCStringTest, EscapesProperly)
| TEST (PrintWideCStringTest, Const)
| TEST (PrintWideCStringTest, NonConst)
| TEST (PrintWideCStringTest, Null)
| TEST (PrintWideCStringTest, EscapesProperly)
| TEST (PrintCharPointerTest, SignedChar)
| TEST (PrintCharPointerTest, ConstSignedChar)
| TEST (PrintCharPointerTest, UnsignedChar)
| TEST (PrintCharPointerTest, ConstUnsignedChar)
| TEST (PrintPointerToBuiltInTypeTest, Bool)
| TEST (PrintPointerToBuiltInTypeTest, Void)
| TEST (PrintPointerToBuiltInTypeTest, ConstVoid)
| TEST (PrintPointerToPointerTest, IntPointerPointer)
void | MyFunction (int)
| TEST (PrintPointerTest, NonMemberFunctionPointer)
template<typename StringType >
AssertionResult | HasPrefix (const StringType &str, const StringType &prefix)
| TEST (PrintPointerTest, MemberVariablePointer)
| TEST (PrintPointerTest, MemberFunctionPointer)
template<typename T , size_t N>
string | PrintArrayHelper (T(&a)[N])
| TEST (PrintArrayTest, OneDimensionalArray)
| TEST (PrintArrayTest, TwoDimensionalArray)
| TEST (PrintArrayTest, ConstArray)
| TEST (PrintArrayTest, CharArray)
| TEST (PrintArrayTest, ConstCharArray)
| TEST (PrintArrayTest, ObjectArray)
| TEST (PrintArrayTest, BigArray)
| TEST (PrintStringTest, StringInStdNamespace)
| TEST (PrintStringTest, StringAmbiguousHex)
template<typename Char , typename CharTraits >
std::basic_ostream< Char, CharTraits > & | operator<< (std::basic_ostream< Char, CharTraits > &os, const AllowsGenericStreaming &)
| TEST (PrintTypeWithGenericStreamingTest, NonTemplateType)
template<typename Char , typename CharTraits , typename T >
std::basic_ostream< Char, CharTraits > & | operator<< (std::basic_ostream< Char, CharTraits > &os, const AllowsGenericStreamingTemplate< T > &)
| TEST (PrintTypeWithGenericStreamingTest, TemplateType)
template<typename Char , typename CharTraits , typename T >
std::basic_ostream< Char, CharTraits > & | operator<< (std::basic_ostream< Char, CharTraits > &os, const AllowsGenericStreamingAndImplicitConversionTemplate< T > &)
| TEST (PrintTypeWithGenericStreamingTest, TypeImplicitlyConvertible)
| TEST (PrintStlContainerTest, EmptyDeque)
| TEST (PrintStlContainerTest, NonEmptyDeque)
| TEST (PrintStlContainerTest, List)
| TEST (PrintStlContainerTest, Map)
| TEST (PrintStlContainerTest, MultiMap)
| TEST (PrintStlContainerTest, Set)
| TEST (PrintStlContainerTest, MultiSet)
| TEST (PrintStlContainerTest, Pair)
| TEST (PrintStlContainerTest, Vector)
| TEST (PrintStlContainerTest, LongSequence)
| TEST (PrintStlContainerTest, NestedContainer)
| TEST (PrintStlContainerTest, OneDimensionalNativeArray)
| TEST (PrintStlContainerTest, TwoDimensionalNativeArray)
| TEST (PrintStlContainerTest, Iterator)
| TEST (PrintStlContainerTest, ConstIterator)
| TEST (PrintUnprintableTypeTest, InGlobalNamespace)
| TEST (PrintUnprintableTypeTest, InUserNamespace)
| TEST (PrintUnpritableTypeTest, BigObject)
| TEST (PrintStreamableTypeTest, InGlobalNamespace)
| TEST (PrintStreamableTypeTest, TemplateTypeInUserNamespace)
| TEST (PrintPrintableTypeTest, InUserNamespace)
| TEST (PrintPrintableTypeTest, PointerInUserNamespace)
| TEST (PrintPrintableTypeTest, TemplateInUserNamespace)
| TEST (PrintReferenceTest, PrintsAddressAndValue)
| TEST (PrintReferenceTest, HandlesFunctionPointer)
| TEST (PrintReferenceTest, HandlesMemberFunctionPointer)
| TEST (PrintReferenceTest, HandlesMemberVariablePointer)
| TEST (PrintToStringTest, WorksForScalar)
| TEST (PrintToStringTest, WorksForPointerToConstChar)
| TEST (PrintToStringTest, WorksForPointerToNonConstChar)
| TEST (PrintToStringTest, WorksForArray)
| TEST (UniversalTersePrintTest, WorksForNonReference)
| TEST (UniversalTersePrintTest, WorksForReference)
| TEST (UniversalTersePrintTest, WorksForCString)
| TEST (UniversalPrintTest, WorksForNonReference)
| TEST (UniversalPrintTest, WorksForReference)
| TEST (UniversalPrintTest, WorksForCString)

## Function Documentation

AssertionResult testing::gtest_printers_test::HasPrefix | ( | const StringType & | str,
|  | const StringType & | prefix
| ) |  |

void testing::gtest_printers_test::MyFunction | ( | int |  | ) |

std::basic_ostream<Char, CharTraits>& testing::gtest_printers_test::operator<< | ( | std::basic_ostream< Char, CharTraits > & | os,
|  | const AllowsGenericStreaming & |
| ) |  |

std::basic_ostream<Char, CharTraits>& testing::gtest_printers_test::operator<< | ( | std::basic_ostream< Char, CharTraits > & | os,
|  | const AllowsGenericStreamingTemplate< T > & |
| ) |  |

std::basic_ostream<Char, CharTraits>& testing::gtest_printers_test::operator<< | ( | std::basic_ostream< Char, CharTraits > & | os,
|  | const AllowsGenericStreamingAndImplicitConversionTemplate< T > & |
| ) |  |

string testing::gtest_printers_test::Print | ( | const T & | value | ) |

string testing::gtest_printers_test::PrintArrayHelper | ( | T(&) | a[N] | ) |

string testing::gtest_printers_test::PrintByRef | ( | const T & | value | ) |

testing::gtest_printers_test::TEST | ( | PrintEnumTest | ,
|  | AnonymousEnum |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintEnumTest | ,
|  | EnumWithoutPrinter |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintEnumTest | ,
|  | EnumWithStreaming |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintEnumTest | ,
|  | EnumWithPrintTo |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintClassTest | ,
|  | BiggestIntConvertible |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintCharTest | ,
|  | PlainChar |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintCharTest | ,
|  | SignedChar |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintCharTest | ,
|  | UnsignedChar |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintBuiltInTypeTest | ,
|  | Bool |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintBuiltInTypeTest | ,
|  | Wchar_t |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintTypeSizeTest | ,
|  | Wchar_t |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintBuiltInTypeTest | ,
|  | Integer |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintBuiltInTypeTest | ,
|  | Size_t |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintBuiltInTypeTest | ,
|  | FloatingPoints |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintCStringTest | ,
|  | Const |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintCStringTest | ,
|  | NonConst |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintCStringTest | ,
|  | Null |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintCStringTest | ,
|  | EscapesProperly |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintWideCStringTest | ,
|  | Const |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintWideCStringTest | ,
|  | NonConst |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintWideCStringTest | ,
|  | Null |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintWideCStringTest | ,
|  | EscapesProperly |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintCharPointerTest | ,
|  | SignedChar |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintCharPointerTest | ,
|  | ConstSignedChar |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintCharPointerTest | ,
|  | UnsignedChar |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintCharPointerTest | ,
|  | ConstUnsignedChar |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintPointerToBuiltInTypeTest | ,
|  | Bool |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintPointerToBuiltInTypeTest | ,
|  | Void |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintPointerToBuiltInTypeTest | ,
|  | ConstVoid |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintPointerToPointerTest | ,
|  | IntPointerPointer |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintPointerTest | ,
|  | NonMemberFunctionPointer |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintPointerTest | ,
|  | MemberVariablePointer |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintPointerTest | ,
|  | MemberFunctionPointer |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintArrayTest | ,
|  | OneDimensionalArray |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintArrayTest | ,
|  | TwoDimensionalArray |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintArrayTest | ,
|  | ConstArray |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintArrayTest | ,
|  | CharArray |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintArrayTest | ,
|  | ConstCharArray |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintArrayTest | ,
|  | ObjectArray |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintArrayTest | ,
|  | BigArray |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintStringTest | ,
|  | StringInStdNamespace |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintStringTest | ,
|  | StringAmbiguousHex |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintTypeWithGenericStreamingTest | ,
|  | NonTemplateType |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintTypeWithGenericStreamingTest | ,
|  | TemplateType |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintTypeWithGenericStreamingTest | ,
|  | TypeImplicitlyConvertible |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintStlContainerTest | ,
|  | EmptyDeque |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintStlContainerTest | ,
|  | NonEmptyDeque |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintStlContainerTest | ,
|  | List |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintStlContainerTest | ,
|  | Map |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintStlContainerTest | ,
|  | MultiMap |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintStlContainerTest | ,
|  | Set |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintStlContainerTest | ,
|  | MultiSet |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintStlContainerTest | ,
|  | Pair |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintStlContainerTest | ,
|  | Vector |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintStlContainerTest | ,
|  | LongSequence |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintStlContainerTest | ,
|  | NestedContainer |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintStlContainerTest | ,
|  | OneDimensionalNativeArray |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintStlContainerTest | ,
|  | TwoDimensionalNativeArray |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintStlContainerTest | ,
|  | Iterator |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintStlContainerTest | ,
|  | ConstIterator |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintUnprintableTypeTest | ,
|  | InGlobalNamespace |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintUnprintableTypeTest | ,
|  | InUserNamespace |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintUnpritableTypeTest | ,
|  | BigObject |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintStreamableTypeTest | ,
|  | InGlobalNamespace |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintStreamableTypeTest | ,
|  | TemplateTypeInUserNamespace |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintPrintableTypeTest | ,
|  | InUserNamespace |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintPrintableTypeTest | ,
|  | PointerInUserNamespace |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintPrintableTypeTest | ,
|  | TemplateInUserNamespace |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintReferenceTest | ,
|  | PrintsAddressAndValue |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintReferenceTest | ,
|  | HandlesFunctionPointer |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintReferenceTest | ,
|  | HandlesMemberFunctionPointer |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintReferenceTest | ,
|  | HandlesMemberVariablePointer |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintToStringTest | ,
|  | WorksForScalar |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintToStringTest | ,
|  | WorksForPointerToConstChar |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintToStringTest | ,
|  | WorksForPointerToNonConstChar |
| ) |  |

testing::gtest_printers_test::TEST | ( | PrintToStringTest | ,
|  | WorksForArray |
| ) |  |

testing::gtest_printers_test::TEST | ( | UniversalTersePrintTest | ,
|  | WorksForNonReference |
| ) |  |

testing::gtest_printers_test::TEST | ( | UniversalTersePrintTest | ,
|  | WorksForReference |
| ) |  |

testing::gtest_printers_test::TEST | ( | UniversalTersePrintTest | ,
|  | WorksForCString |
| ) |  |

testing::gtest_printers_test::TEST | ( | UniversalPrintTest | ,
|  | WorksForNonReference |
| ) |  |

testing::gtest_printers_test::TEST | ( | UniversalPrintTest | ,
|  | WorksForReference |
| ) |  |

testing::gtest_printers_test::TEST | ( | UniversalPrintTest | ,
|  | WorksForCString |
| ) |  |